CairoImageSurface
CairoImageSurface::createForData
CairoImageSurface
PHP Manual

# CairoImageSurface::__construct

Creates a new CairoImageSurface

### Description

public CairoImageSurface::__construct ( int `$format` , int `$width` , int `$height` )

Creates a new CairoImageSuface object of type `format`

### Parameters

`format`

  Can be any defined in CairoFormat

`width`

  The width of the image surface

`height`

  The height of the image surface

### Return Values

A new CairoImageSurface

### Examples

Example #1 CairoImageSurface::__construct example

`<?php
// Creates a image with ARGB32 format of 50 width and 50 height
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50,50);
?>`

### See Also

- CairoContext::__construct